Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
billing-packages
Get all billing packages
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/billing-packages
import requests

url = "https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/billing-packages"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/billing-packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": "<unknown>",
  "limit": 123,
  "total": 123,
  "page": 123
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Headers

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Authorization
string

Bearer JWT token for authentication. Required when PLUGIN_AUTH_ENABLED=true (enforced in multi-tenant deployments). Optional in default OSS single-tenant mode. Format: Bearer <token>

Path Parameters

organization_id
string<uuid>
required

The unique identifier of the Organization associated with the Ledger.

Query Parameters

ledgerId
string

Filter by ledger ID (UUID) — omit to list all packages for the organization

type
string

Filter by billing package type (volume, maintenance)

limit
string

Number of items per page (default 10)

page
string

Page number (default 1)

Response

OK

items
any
required
limit
integer<int64>
required
Example:

10

total
integer<int64>
required
Example:

10

page
integer<int64>
Example:

1